Method: projects.locations.repositories.list

Lists Repositories in a given project and location.

The instance field is required in the query parameter for requests using the securesourcemanager.googleapis.com endpoint.

HTTP request


GET https://securesourcemanager.asia-east1.rep.googleapis.com/v1/{parent=projects/*/locations/*}/repositories

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListRepositoriesRequest.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. If unspecified, a default size of 30 will be used. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. Filter results.

instance

string

Optional. The name of the instance in which the repository is hosted, formatted as projects/{project_number}/locations/{locationId}/instances/{instanceId}. When listing repositories via securesourcemanager.googleapis.com, this field is required. When listing repositories via *.sourcemanager.dev, this field is ignored.

Request body

The request body must be empty.

Response body

If successful, the response body contains data with the following structure:

JSON representation
{
  "repositories": [
    {
      object (Repository)
    }
  ],
  "nextPageToken": string
}
Fields
repositories[]

object (Repository)

The list of repositories.

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • securesourcemanager.repositories.list

For more information, see the IAM documentation.